<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/TR/REC-html40"> 
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>fwAccessControl_EditGroup.pnl 
panel</title>
<link rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
<table width="95%" border="1"><tbody>
<tr vAlign="top">
<td width="22%" bgColor="#00cc00"><strong>Panel Name</strong></td>
<td width="78%" colSpan="2">fwAccessControl/fwAccessControl_EditGroup.pnl</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Introduction<br></strong></td>
<td colSpan="2">
<p>Edit Group panel</p>
<p> 
    <p>
    This panel is used to display and edit the details of the group, and to create new groups.
    </p>
    The panel has three modes of operation, determined by the access rights and the dollar parameter 
    <code>$mode</code> (see below): 
    <dl>
	<dt> <em>Edit</em> mode</dt>
	<dd> presented in Figure 1, allow to edit the details of the group. This mode is active
	if the user has the Group Administration access rights, the mode of the panel specified by
	<code>$mode</code> is not "RO", and non-empty name of the group was passed as the
	<code>$groupName</code> parameter.
	    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_EditGroup.png"></td></tr>
<tr><td><span class="caption">Figure 1: Edit Group panel in the "edit" mode</span></td></tr>
</table></div>
	In the edit mode, the <span class="button">Edit...</span>, <span class="button">Review</span>, <span class="button">Reset</span> ,
	<span class="button">Show Users</span>, <span class="button">OK</span> and <span class="button">Close</span>buttons are available.
	</dd>

	<dt> <em>View</em> mode </dt>
	<dd> presented in Figure 2, only displays the details of the group and does not allow for changes.
	This mode is active
	if the user has no Group Administration access rights, or the read-only mode of the panel was
	requested by setting the
	<code>$mode</code> to "RO".
	    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_EditGroup_view.png"></td></tr>
<tr><td><span class="caption">Figure 2: Edit Group panel in the "view" mode</span></td></tr>
</table></div>

	In the view mode, only <span class="button">Show Users</span> and <span class="button">Close</span>buttons are available.

	</dd>

	<dt> <em>Create</em> mode </dt>
	<dd> presented in Figure 3, is used to create a new group. This mode is active
	    if the <code>$groupName</code> parameter passed to the panel contained an empty string.
	    <div xmlns:html="http://www.w3.org/1999/xhtml" class="figure"><table align="center">
<tr><td><img src="fwAccessControl_EditGroup_create.png"></td></tr>
<tr><td><span class="caption">Figure 3: Edit Group panel in the "create" mode</span></td></tr>
</table></div>
	    
        In the create mode, <span class="button">Edit</span>, <span class="button">Reset</span>, <span class="button">Create</span>
	and <span class="button">Close</span>buttons are available.

	</dd>	
    </dl>
    
    <p>
    The panel comprises the following elements:
    <ul>
	<li>
	<em>Group name</em> text line defines the group name, which identifies the group in a unique way.
	Note that the <strong>Name_Group</strong> restriction apply (see the <em>Restrictions</em> below)
	for group names.
	</li>

	<li> <em>Group full name</em> text line defines the full name of the group; it is free of restrictions
	concerning the characters used within (i.e. it may contain spaces).<br>
	 Note that the full name is displayed in the
	<a href="fwAccessControl_GroupList.htm">Group List</a>  panel, and the filter therein applies to 
	the group name and the group full name. It is recommended (yet not required) to define non-empty and unique group full name.
	</li>
	
	<li>
	<em>Description</em> text line contains any additional information - it's meaning is not defined;
	it may be left empty.
	</li>
	
	<li>
<em>id</em> text line (not editable) displays the internal unique identifier of the group. It
	is assigned automatically and may not be modified. This field is empty in the <em>create</em> mode of the panel.
	This idenifier may be of use for the experts and for debugging purposes.
	</li>

	<li>
<em>Granted access rights</em> table: displays the list of access rights that are granted to
	this group; note that access rights are displayed so that the domain name and privilege level are in separate
	columns. By default system privileges are not displayed - one needs to tick the <em>Show System Privileges</em>
	option to make them visible (e.g. in Figure 2 the system domain is called "ACServer" and the corresponding privileges
	are shown).
	</li>
	

	<li> <span class="button">Edit...</span> button: allows to modify (add/remove) the access rights granted to the group.
	    It brings up the <a href="fwAccessControl_EditGroupPrivileges.htm">Edit Group's Access Rights</a>  panel;
	    for details refer to the documentation of that panel.
	</li>

	<li> <span class="button">Review</span> button: allows to display the changes in group's access rights.
	    It brings up the <a href="fwAccessControl_ReviewChanges.htm">Review Changes</a>  panel
	    displaying the access rights that have been changed.
	</li>

	<li> <span class="button">Reset</span> button: undoes the changes done in the panel, i.e. in the <em>edit</em>
	mode resets the contents of all editable fields so that they represent the current settings, while
	in the <em>create</em> mode it clears alld fields and granted access rights.
	Pressing this button does not apply any settings; it does not close the panel either.
	</li>

	
	<li> <span class="button">Show Users</span> button: allows to display the users belonging to this group.
	    it brings up the <a href="fwAccessControl_UsersInGroupList.htm">Group Members List</a>  panel,
	</li>
	
	<li> <span class="button">OK</span> (in <em>edit</em> mode) or <span class="button">Create</span>
	    (in <em>create</em> mode): applies the changes, i.e. modifies or creates the group,
	    and closes the panel.
	</li>
	
	<li> <span class="button">Close</span> button: closes the panel without applying the changes.
	</li>
	
    </ul>    
    </p>
    
    </p>
<br>
</td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Instructions</strong></td>
<td colSpan="2"><dl>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To create a group:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Open the panel in the <em>create</em> mode 
	(e.g. click the <span class="button">Add</span>
	in the <a href="fwAccessControl_GroupList.htm">Group List</a>  panel, which
	may be opened using the <span class="button">Administration&gt;Groups</span> context menu of
	the <a href="fwAccessControl_Toolbar.htm">Toolbar</a>  panel). <br>
	Fill-in at least the group name
	then press the <span class="button">Create</span> button.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To rename a group:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Make sure the panel is open in the <em>edit</em> mode, for the group you wish to rename;
	type in the modified name into the <em>Group name</em> text field, 
	then press the <span class="button">OK</span> button to apply the changes. You may want to alter other 
	settings of the group at the same time, before pressing <span class="button">OK</span>.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To change the full name or description:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Make sure the panel is open in the <em>edit</em> mode;
	type in the new full name or description in the appropriate fields,
	then press the <span class="button">OK</span> button to apply the changes. You may want to alter other 
	settings of the group at the same time, before pressing <span class="button">OK</span>.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To change the access rights granted to the group:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Click on the <span class="button">Edit...</span> button; 
	this will bring up the <a href="fwAccessControl_EditGroupPrivileges.htm">Edit Group's Access Rights</a>  panel,
	where you will be able to grant and revoke the access rights; follow the documentation for that panel.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To review the changes in the access rights:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Click on the <span class="button">Review</span> button; 
	this will bring up the 
	<a href="fwAccessControl_ReviewChanges.htm">Review Changes</a>  panel with lists
	of access rights that are going to be revoked and granted to the group.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To display the list of users belonging to the group:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Click on the <span class="button">Show Users</span> button;
	this will bring up the <a href="fwAccessControl_UsersInGroupList.htm">Group Members List</a>  panel.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To reset the changes:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	Click on the <span class="button">Reset</span> button;
	this will fill-in the panel with actual settings for the group (in the <em>edit</em> mode)
	or clear all the fields (in the <em>create</em> mode).
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To delete a group:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml">
	You need to use the <span class="button">Delete</span> button in  the <a href="fwAccessControl_GroupList.htm">Group List</a> 
	panel; it is available, for instance, from the <span class="button">Administration&gt;Groups</span> context menu of the 
	<a href="fwAccessControl_Toolbar.htm">Toolbar</a>  panel.
    </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To cancel the changes or cancel group creation:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml"> Press the <span class="button">Close</span> button </dd>
<dt xmlns:html="http://www.w3.org/1999/xhtml">To apply the changes made to group:</dt>
<dd xmlns:html="http://www.w3.org/1999/xhtml"> 
	Press the <span class="button">OK</span> button; 
	this will bring up the <a href="fwAccessControl_ConfirmChangeGroup.htm">Confirm Group Change</a>  panel,
	asking you for the confirmation of the changes. You will be able to review all the changes, then decide
	to ultimately accept or reject them.
	</dd>
</dl></td>
</tr>
<tr vAlign="top">
<td bgColor="#00cc00"><strong>Restrictions</strong></td>
<td colSpan="2"><ul>
<li xmlns:html="http://www.w3.org/1999/xhtml">
<strong>Access_Group:</strong> To edit an existing group, or create a new group one needs the Group Administration
	(or System Administration)
	access rights (see also the <a href="fwAccessControl_Setup.htm">Setup Panel</a> ).</li>
<li xmlns:html="http://www.w3.org/1999/xhtml">
<strong>Name_Group:</strong> Group name must not contain the space ( ), colon (:), semicolon (;), pipe (|), 	
	backslash (\), asterisk (*), apostrophe (') and double-quotes (") characters. 
	The slash (/) parameter is allowed and recommended as logical separator.
	Group full name and description are, however, free of limitations.<br>
	The group name needs to be unique.
    </li>
<li xmlns:html="http://www.w3.org/1999/xhtml">When the panel is opened as a result of request for group details issued in another
    panel (such as <a href="fwAccessControl_PrivHoldersList.htm">Access right holders list</a> ),
     a dedicated "Group Details" module is opened. This module will be reused to display details of other
    groups (i.e. no new windows will be opened for every new inspected group)
    </li>
</ul></td>
</tr>
</tbody></table>
<br><table width="95%" border="1"><tbody>
<tr bgColor="#00cc00"><td colSpan="3"><strong>Dollar Parameters</strong></td></tr>
<tr bgColor="#00cc00">
<td width="23%"><strong>Name</strong></td>
<td width="62%"><strong>Description</strong></td>
<td width="15%">&nbsp;</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$groupName</td>
<td> 
	Specifies the name of the group to edit. Passing an empty string (<code>""</code>) will open the panel in the 
	<em>create</em> mode.
    </td>
<td>required</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td>$mode</td>
<td> 
	If set to <code>"RO"</code>, the panel will be opened in the <em>view</em> mode. 
    </td>
<td>optional</td>
</tr>
</tbody></table>
<br>
<table width="95%" border="1"><tbody>
<tr bgColor="#00cc00"><td colSpan="3"><strong>Return Values from panel</strong></td></tr>
<tr><td colspan="3"> The panel should be opened using functions from the
	    <code>ChildPanel...Returns(... , df,ds)</code> family. <br>
	    When the panel is closed the following
	    values may be returned in the <code>df</code> and <code>ds</code> parameters:
	</td></tr>
<tr bgColor="#00cc00">
<td width="60"><strong>Variable</strong></td>
<td width="10%"><strong>Value(s)</strong></td>
<td><strong>Description</strong></td>
</tr>
<tr bgColor="#ccffcc"><td colspan="3" align="center">
<code>dyn_float</code>  parameter (<code>df[]</code>)</td></tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>df[1]</code></td>
<td><code>1</code></td>
<td> Edit action terminated succesfully, <span class="button">OK</span> button pressed</td>
</tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>df[1]</code></td>
<td><code>0</code></td>
<td> Edit action cancelled, <span class="button">Close</span> button pressed</td>
</tr>
<tr bgColor="#ccffcc"><td colspan="3" align="center">
<code>dyn_string</code> parameter (<code>ds[]</code>)</td></tr>
<tr xmlns:html="http://www.w3.org/1999/xhtml">
<td><code>ds[]</code></td>
<td><code></code></td>
<td> not used: empty variable is always returned.</td>
</tr>
</tbody></table>
<br><a href="../../fwAccessControl.htm">
Back to the documentation of the
	    fwAccessControl
component.
	    </a> <br xmlns:html="http://www.w3.org/1999/xhtml"><hr xmlns:html="http://www.w3.org/1999/xhtml">
<font xmlns:html="http://www.w3.org/1999/xhtml" size="-1"> Piotr Golonka, <a href="http://cern.ch/itcobe">CERN IT/CO-BE</a></font>
</body></html>
